using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenjeZadaci
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] tacka1 = Console.ReadLine().Split();
            int x1 = int.Parse(tacka1[0]);
            int y1 = int.Parse(tacka1[1]);

            string[] tacka2 = Console.ReadLine().Split();
            int x2 = int.Parse(tacka2[0]);
            int y2 = int.Parse(tacka2[1]);

            if (x1 != x2 && y1 != y2)
                Console.WriteLine(1);
            else if (x1 == x2 && y1 != y2)
                Console.WriteLine(2);
            else
                Console.WriteLine(2);
        }
    }
}